Bug 61449 - Wrong Thousand Separator and Decimal Separator in locale settings in Peru
Summary: Wrong Thousand Separator and Decimal Separator in locale settings in Peru
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-25 16:03 UTC by Sergio Infante Montero
Modified: 2013-04-04 12:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Infante Montero 2013-02-25 16:03:23 UTC
Wrong separator for thousands and decimal, it must be comma for thousand separator and dot for decimal separator like Mexican locale settings
Comment 1 Rainer Bielefeld Retired 2013-02-25 16:39:42 UTC
I checked that with with Server Installation of "LibO  4.0.1.1+   -  German UI / Spanish(Peru) Locale  [Build ID: 2c0c17a6e4bee0ee28131ea4bdc47edc700d659)]"  {tinderbox: @6, pull time  2013-02-1920:00(?)} on German WIN7 Home Premium (64bit) with newly created user profile ….\LODev\4\:
Uses Comma as decimal separator and dot as thousands separator, as criticized by reporter.

But_
* We never did that different
* Wikipedia tells that LibO does it correct on <https://en.wikipedia.org/wiki/Decimal_mark#Countries_using_Arabic_numerals_with_decimal_comma>, 
* AOOo also uses decimal separator "comma" ...

So - without any source for the statement - the report does not sound conclusive.

INVALID
Comment 2 Sergio Infante Montero 2013-02-28 17:10:53 UTC
* I'm peruvian so I got this problem actually
* Spanish wikipedia said http://es.wikipedia.org/wiki/Separador_decimal, we are using decimal point
* A contributor for AOOo makes a patch for this issue. https://issues.apache.org/ooo/show_bug.cgi?id=121825

I will modified wikipedia article to the reality, please patch this, is really important for monetary uses.
Comment 3 Rainer Bielefeld Retired 2013-02-28 18:45:11 UTC
<http://www.inei.gob.pe/web/PeruCifrasDetalle4.asp> and similar on that site seem to underpin reporter's arguments, also <http://www.pcm.gob.pe/InformacionGral/sgp/preguntas-cas.htm>, <http://www.rree.gob.pe/servicioalciudadano/Paginas/Exhortos_Judiciales.aspx> show currency with decimal dot, 

<http://www.inei.gob.pe/web/PeruCifrasDetalle4.asp> and others show that government uses thin blank as thousands separator and comma as decimal separator, same <http://www.mincetur.gob.pe/newweb/Portals/0/Turismo/AIJCH_Lleg_Mens_Visit_Extr.pdf> and others, ...
 
@Sergio Infante Montero
Self adapted Wikipedia pages and vague remembering concerning things what might have happened are not that reliable we need for instant action. Can you please contribute some links to laws or other very reliable information?
Comment 4 Sergio Infante Montero 2013-03-04 18:10:12 UTC
@Rainer Bielefeld
Thanks for the feedback, I'll search those links to reliable information
Comment 5 Adolfo Jayme 2013-03-09 19:08:58 UTC
Marking as NEW.
Comment 6 Caolán McNamara 2013-04-04 09:27:43 UTC
I see that this should be fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd4b06fcd84c0f7f3ad82c1a3fe7f91740c5c3c5
Comment 7 Eike Rathke 2013-04-04 12:03:10 UTC
Indeed, and http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-0&id=be46a7db926c281a5409dd213716fd3ade344255 for 4.0.3

I wasn't aware there already existed a bug for this.